# 🚀 Getting Started with Yassi

Welcome to Yassi, the HomeAssistant integration for your Samsung Soundbar. This guide will help you get up and running in no time.

## 📦 Installation Options

### HACS (Home Assistant Community Store)

#### 🌟 Official Repository (Coming Soon)
The Yassi integration will be available through the official HACS repository shortly. Stay tuned for updates.

#### ➕ Custom Repository
In the meantime, you can manually add this repository to HACS:
1. Navigate to HACS in your HomeAssistant.
2. Go to 'Settings' and add this repository URL as a custom repository.
3. Search for 'Yassi' under integrations and proceed with the installation.

### 📂 Manual Installation
If you prefer to install Yassi manually:
1. Download the latest release from the repository.
2. Extract and copy the `custom_components/samsung_soundbar` folder.
3. Paste it into the `config/custom_components/samsung_soundbar` directory of your HomeAssistant setup.

## ⚙️ Configuration Steps

Once Yassi is installed, you can configure it via the HomeAssistant UI:

1. Go to 'Configuration' and then 'Integrations'.
2. Click on 'Add Integration' and search for 'Yassi'.
3. Enter the following details to complete the setup:
   - 🔑 SmartThings API Key: [Obtain it here](https://account.smartthings.com/tokens).
   - 🆔 Device ID: [Find your Soundbar's device ID here](https://my.smartthings.com/advanced/devices).
   - ㍻ Soundbar Name: Choose a name for easy identification.
   - 🔊 Max Volume: Set the maximum volume limit for your Soundbar.

Follow these steps, and you'll be enjoying seamless control over your Samsung Soundbar with Yassi in no time!

::alert{type="info"}
The `🔊 Max Volume` setting will readjust the internal values of the `media_player` entity from 0-100 to 0-MaxVolume.
Therefore will the slider not display the same value as the one provided by the `sensor` entity, which will always display
the raw value retrieved from the SmartThings API.
::